Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002853Zandronum[All Projects] Bugpublic2016-10-03 16:172017-01-04 03:30
ReporterIvan 
Assigned ToEdward-san 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.0-beta 
Target Version3.0Fixed in Version3.0 
Summary0002853: FBF_NOFLASH seemingly only works on client's end
DescriptionAs title says, weapons utilizing this flag on their A_FireBullets function call only seem to have effect on the client's end.
Steps To Reproduce- Create a local server, preferably with Survival mode.
- Join twice.
- Give "Excalibat" to one player.
- While one player fires the weapon, observe through the eyes of the other.
- You'll see that on your end no flash happens, but on their end there will be a flash.
Attached Files? file icon ajumptest2.pk3 [^] (662,876 bytes) 2016-10-03 16:17

- Relationships

-  Notes
User avatar (0016584)
Edward-san (developer)
2017-01-01 15:42

Should be fixed withhttps://bitbucket.org/Torr_Samaho/zandronum/pull-requests/183/fixed-online-desync-with-a_firebullets/diff [^] .
User avatar (0016586)
Torr Samaho (administrator)
2017-01-01 20:16

I added your patch.
User avatar (0016598)
Ru5tK1ng (updater)
2017-01-04 03:30

The fix worked and there wasn't any flash on either player's end.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2016-10-03 16:17 Ivan New Issue
2016-10-03 16:17 Ivan File Added: ajumptest2.pk3
2016-10-03 16:51 Dusk Assigned To => Dusk
2016-10-03 16:51 Dusk Status new => assigned
2016-12-24 22:42 Dusk Target Version => 3.0
2017-01-01 15:42 Edward-san Note Added: 0016584
2017-01-01 15:42 Edward-san Assigned To Dusk => Edward-san
2017-01-01 15:42 Edward-san Status assigned => needs review
2017-01-01 20:16 Torr Samaho Note Added: 0016586
2017-01-01 20:17 Torr Samaho Status needs review => needs testing
2017-01-04 03:30 Ru5tK1ng Note Added: 0016598
2017-01-04 03:30 Ru5tK1ng Status needs testing => resolved
2017-01-04 03:30 Ru5tK1ng Resolution open => fixed
2017-01-04 03:30 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker